Description

Hi, I'm starting with puppet+foreman on Centos5:

- foreman-proxy 0.1-1

- foreman 0.2-rc1.1

- puppet 2.6.7

from foreman and puppet repo respectively.

Smart-proxy have tftp, puppet and puppetca enabled.

Then, foreman works great but when I need to build a host I receive OK and this warning appears in logs:

DEPRECATION WARNING* Managing TFTP without a smart-proxy will not be supported in the next release

 and creates a dead link in /tftpboot like this:

[root@foreman ~]# ls -l /tftpboot/

total 0

lrwxrwxrwx 1 foreman foreman 16 Mar 26 18:54 01-d2-ca-d3-xx-xx-xx -> Ubuntu-8.04-i386

 I notice that pxe boot files are missing so i'm trying to obtain with "Build PXE Default" option and receives an error "No TFTP proxies

defined, can't continue" with no logs.

Thanks in advance and apologize my poor english.

History

#1 - 03/26/2011 01:55 PM - Ohad Levy

- Status changed from New to Feedback

in order to get full automation of tftp configuration you would need:

1. Install atleast one foreman smart proxy - see [[Smart-Proxy:installation_instructions]]

2. Add that smart proxy under settings --> smart proxies

3. Create a domain where you would like to deploy your host on

4. Create a subnet, and select the relevant domain and smart proxy in it.

5. Create a host, select the domain / subnet etc

Then foreman will download the required boot files and set the correct tftp configuration file as well.

you would need to ensure that the user which runs the smart proxy has the appropriate permissions (as described in the [[Smart-Proxy:settings.yml]]

The ReleaseNotes also include additional information of how to configure dhcp/dns etc

#2 - 03/26/2011 03:13 PM - Juan José Presa

Great!

That's solved. I'd missed the mandatory subnet definition.
https://projects.theforeman.org/projects/foreman/wiki/ReleaseNotes


#3 - 03/27/2011 03:16 AM - Ohad Levy

- Status changed from Feedback to Closed
